V1.0
put
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/unfreeze/vsd
Unfreezes a visit start date. This endpoint is used to revert a previously frozen visit start date to a state that allows further data entry or edits.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
8D05217A464C42E3A10541E44BADE754
Supported Media Types
- application/json
Root Schema : schema
Type:
objectSuperclass for unfreeze requests, contains the reason for unfreezing.
Show Source
-
comment: string
A short comment explaining for the unfreeze action when Other is selected in reasonForChangeExample:
comment -
eventId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
7978B7DD0A0A4CA899C485990994300C -
eventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
3 -
reasonForChange: string
A short description explaining the reason for the unfreeze action. Accepted values are Change for encoding, Incorrect Subject, Investigator Correction, Transcription Error, Other.Example:
Other -
subjectId: string
(UUID)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
AF77C6450BE94DE293C9630142E0AFAD
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
400 Response
Bad request.
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.